3 Replies Latest reply: Jan 21, 2013 9:28 PM by AnaMusic
lisajoan Level 1 Level 1 (0 points)

I am trying to update itunes but it won't update, it says I need higher than OSX 10.6 but when I try to download higher version, it says my system can not support it

 

Help!  I need to update my new phone but can't get it to work

 

Your help would be gret!


MacBook, Mac OS X (10.6.8)